Package io.vertx.rxjava3.ext.web.handler.graphql.instrumentation

## Class SingleAdapter

- java.lang.Object
- - graphql.execution.instrumentation.SimplePerformantInstrumentation
  - - io.vertx.rxjava3.ext.web.handler.graphql.instrumentation.SingleAdapter

- All Implemented Interfaces:
    `graphql.execution.instrumentation.Instrumentation`

      public class SingleAdapter
      extends graphql.execution.instrumentation.SimplePerformantInstrumentation

  Instrument data fetchers so that `Single` results are automatically converted to `CompletionStage`.

- - ### Field Summary

    - ### Fields inherited from class graphql.execution.instrumentation.SimplePerformantInstrumentation

      `INSTANCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SingleAdapter` | `create()` |
    `graphql.schema.DataFetcher<?>` | `instrumentDataFetcher​(graphql.schema.DataFetcher<?> dataFetcher, graphql.execution.instrumentation.parameters.InstrumentationFieldFetchParameters parameters, graphql.execution.instrumentation.InstrumentationState state)` |

    - ### Methods inherited from class graphql.execution.instrumentation.SimplePerformantInstrumentation

      `beginExecuteObject, beginExecuteOperation, beginExecution, beginExecutionStrategy, beginFieldCompletion, beginFieldExecution, beginFieldFetch, beginFieldListCompletion, beginParse, beginSubscribedFieldEvent, beginValidation, createState, createStateAsync, instrumentDocumentAndVariables, instrumentExecutionContext, instrumentExecutionInput, instrumentExecutionResult, instrumentSchema`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface graphql.execution.instrumentation.Instrumentation

      `beginDeferredField, beginFieldFetching`

- - ### Method Detail

    - #### instrumentDataFetcher

          public graphql.schema.DataFetcher<?> instrumentDataFetcher​(graphql.schema.DataFetcher<?> dataFetcher,
                                                                     graphql.execution.instrumentation.parameters.InstrumentationFieldFetchParameters parameters,
                                                                     graphql.execution.instrumentation.InstrumentationState state)

      Specified by:
        `instrumentDataFetcher` in interface `graphql.execution.instrumentation.Instrumentation`
      Overrides:
        `instrumentDataFetcher` in class `graphql.execution.instrumentation.SimplePerformantInstrumentation`

    - #### create

          public static SingleAdapter create()